package com.jshealth.mintegraladmob.mintegraladmobpk.mediation.common.manager;

import android.app.Activity;


import com.jshealth.mintegraladmob.mintegraladmobpk.mediation.common.LifecycleListener;
import com.jshealth.mintegraladmob.mintegraladmobpk.mediation.common.interceptor.BaseInterceptor;
import com.jshealth.mintegraladmob.mintegraladmobpk.mediation.common.listener.MediationAdapterInitListener;

import java.util.Map;

public abstract class BaseManager {

    abstract void init(Activity activity, String mediationUnitId, Map<String,Object> localParams);
    abstract void setMediationAdapterInitListener(MediationAdapterInitListener mediationAdapterInitListener);
    abstract void load(String param);
    abstract boolean isReady(String param);
    abstract void show(String param);
    abstract LifecycleListener getLifecycleListener();
    public abstract void loadTimeout(String param);
    public abstract boolean isLoadHadResult();
    abstract void setInterceptor(BaseInterceptor interceptor);
    abstract void callInitListener(boolean succeed);
    public abstract String getCurrentLoadParam();
}
