package com.jshealth.mintegraladmob.mintegraladmobpk.network;

import android.content.Context;

import com.jshealth.mintegraladmob.mintegraladmobpk.mediation.common.CommonConst;
import com.jshealth.mintegraladmob.mintegraladmobpk.mediation.network.IExceptionHandler;
import com.jshealth.mintegraladmob.mintegraladmobpk.mediation.network.NetworkException;


public class ExceptionHandlerImpl implements IExceptionHandler {
    @Override
    public void handleException(Context context, Throwable t) {
        if (t instanceof NetworkException){
            NetworkException networkException = (NetworkException) t;
            switch (networkException.errorCode) {
                case 400:
                    break;

                case 401:
                    break;

                case CommonConst.KEY_REQUESTERROR:
                    break;

                case CommonConst.KEY_RESPONSEERROR:
                    break;
            }
        }
    }
}
